Skip to content

List locales

View as Markdown
get /api/locales

Retrieves the collection of Locale resources.

Returns every locale enabled for the current tenant. Filter by code or by default, and sort by order[code], order[createdAt] or order[updatedAt]. Requires the instance_params:read scope.

Query parameters

NameTypeRequiredDescription
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
codestring-Locale code
code[]string[]-Locale code
defaultboolean-Locale default
order[code]string-Locale order[code]
order[createdAt]string-Locale order[createdAt]
order[updatedAt]string-Locale order[updatedAt]

Response

200 - Locale collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
memberLocale[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
codestringrequiredA locale identifier in the format ll or ll-CC, where ll is a two-letter lowercase language code (e.g., fr for French), and CC is an optional two-letter uppercase country code (e.g. FR for France).

Examples: fr, en-US, de-DE.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
defaultboolean-Whether this locale is the default one. Exactly one locale is the default at any time. To change it, use PUT /api/default_locale.
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-